Name:           koffice
Version:        1.4.95
Release:        1%{?dist}
Summary:        A free, integrated office suite for KDE

Group:          Applications/Productivity
License:        GPL/LGPL
URL:            http://www.koffice.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/koffice-1.5-beta2/koffice-1.4.95.tar.bz2
Source100:      koshell.png

# stuff for the build configuration
Patch0:         koffice-admin-gcc4isok.patch
Patch1:         koffice-kspread-cpp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# BuildRequires: world-devel ;)
BuildRequires:  automake
BuildRequires:  autoconf >= 2.53
BuildRequires:  kdebase-devel
BuildRequires:  kdelibs-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libidn-devel
BuildRequires:  gamin-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  libstdc++-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libogg-devel
BuildRequires:  openssl-devel
BuildRequires:  esound-devel
BuildRequires:  python-devel
BuildRequires:  pcre-devel
BuildRequires:  libwpd-devel
BuildRequires:  lcms-devel
BuildRequires:  gettext-devel
BuildRequires:  mysql-devel
BuildRequires:  desktop-file-utils
BuildRequires:  postgresql-devel
BuildRequires:  perl
BuildRequires:  python2-devel
BuildRequires:  wv2-devel
BuildRequires:  libpqxx-devel
BuildRequires:  doxygen
BuildRequires:  graphviz-devel
BuildRequires:  aspell-devel
BuildRequires:  libacl-devel
BuildRequires:  libxslt-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  libexif-devel
BuildRequires:  libGL-devel libGLU-devel
BuildRequires:  libXi-devel
BuildRequires:  readline-devel
BuildRequires:  ruby ruby-devel

%description
KOffice - Integrated Office Suite
KOffice is a free, integrated office suite for KDE, the K Desktop Environment.

%package suite
Summary:        A free, integrated office suite for KDE
Group:          Applications/Productivity
Obsoletes:      koffice <= 4:%{version}-%{release}
Obsoletes:      koffice-i18n < 4:%{version}
Requires:       koffice-core
Requires:       koffice-kword
Requires:       koffice-kspread
Requires:       koffice-kpresenter
Requires:       koffice-kivio
Requires:       koffice-karbon
Requires:       koffice-krita
Requires:       koffice-kugar
Requires:       koffice-kexi
Requires:       koffice-kchart
Requires:       koffice-kformula
Requires:       koffice-filters
Requires:       koffice-kplato

%description suite
KOffice - Integrated Office Suite
KOffice is a free, integrated office suite for KDE, the K Desktop Environment.


%package core
Summary:        Core packages for koffice
Group:          Applications/Productivity
Requires:       perl
Conflicts:      koffice <= 4:%{version}-%{release}
Conflicts:      koffice-i18n < 4:%{version}

%description core
core libraries and support files for koffice

%package devel
Summary:        Libraries needed for koffice development
Group:          System Environment/Libraries
Requires:       %{name}-core = %{version}-%{release}

%description devel
%{summary}

%package kword
Summary:A frame-based word processor capable of professional standard documents
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kword
%{summary}

%package kspread
Summary:        A powerful spreadsheet application
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kspread
%{summary}

%package kpresenter
Summary:        A full-featured presentation program
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kpresenter
%{summary}

%package kivio
Summary:        A flowcharting application
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}
Requires:       kdegraphics
Obsoletes:      kivio

%description kivio
%{summary}

%package karbon
Summary:        A vector drawing application
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description karbon
%{summary}

%package krita
Summary:        A pixel-based image manipulation program 
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description krita
%{summary}

%package kugar
Summary:        A tool for generating business quality reports
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kugar
%{summary}

%package kexi
Summary:        An integrated environment for managing data
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kexi
%{summary}

%package kchart
Summary:        An integrated graph and chart drawing tool
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description kchart
%{summary}

%package kformula
Summary:        A powerful formula editor
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}
Requires:       mathml-fonts

%description kformula
%{summary}

%package filters
Summary:        Import and Export Filters for KOffice
Group:          Applications/Productivity
Requires:       %{name}-core = %{version}-%{release}

%description filters
%{summary}

%package kplato
Summary:         An integrated project management and planning tool
Group:           Applications/Productivity
Requires:        %{name}-core = %{version}-%{release}

%description kplato
%{summary}

%prep
%setup -q
%patch0 -p1
%patch1

# this will make sure that patch0 is considered
make -f admin/Makefile.common

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure --disable-rpath --disable-dependency-tracking --enable-shared \
--enable-fast-install --with-pic --disable-static \
--with-qt-libraries=$QTDIR/lib --with-extra-libs=%{_libdir} \
--with-pgsqllibdir=%{_libdir} --with-pgsqlincdir=%{_includedir} \
--with-pqxxlibdir=%{_libdir} --with-pqxxincdir=%{_includedir} \
--enable-final --enable-kexi-reports

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

[ ! -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/koshell.png ] && \
install -p -D -m644 %{SOURCE100} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/koshell.png

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in */*; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
    done
    popd
  fi
done
popd

#now take care of all the desktop files with desktop-file-utils
#core
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/KThesaurus.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/koshell.desktop

#kword
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kword.desktop

#kspread
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kspread.desktop

#kpresenter
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kpresenter.desktop

#karbon
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/karbon.desktop

#krita
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_magick.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_jpeg.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_openexr.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_png.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_raw.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/krita_tiff.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/krita.desktop

#kugar
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kugar.desktop

desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kudesigner.desktop

#kchart
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kchart.desktop

#kformula
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kformula.desktop

#kivio
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/kivio.desktop

#kexi
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kexi.desktop

#kplato
desktop-file-install \
  --vendor=startcom \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-StartCom \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kplato.desktop

rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig

%post kword -p /sbin/ldconfig
%postun kword -p /sbin/ldconfig

%post kspread -p /sbin/ldconfig
%postun kspread -p /sbin/ldconfig

%post kpresenter -p /sbin/ldconfig
%postun kpresenter -p /sbin/ldconfig

%post karbon -p /sbin/ldconfig
%postun karbon -p /sbin/ldconfig

%post krita -p /sbin/ldconfig
%postun krita -p /sbin/ldconfig

%post kugar -p /sbin/ldconfig
%postun kugar -p /sbin/ldconfig

%post kexi -p /sbin/ldconfig
%postun kexi -p /sbin/ldconfig

%post kchart -p /sbin/ldconfig
%postun kchart -p /sbin/ldconfig

%post kformula -p /sbin/ldconfig
%postun kformula -p /sbin/ldconfig

%post kivio -p /sbin/ldconfig
%postun kivio -p /sbin/ldconfig

%post filters -p /sbin/ldconfig
%postun filters -p /sbin/ldconfig 

%post kplato -p /sbin/ldconfig
%postun kplato -p /sbin/ldconfig

%files suite
#empty => virtual package

%files core
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB README
%{_bindir}/koshell
%{_bindir}/kthesaurus
%{_bindir}/koconverter
%{_libdir}/libkdeinit_koshell.so
%{_libdir}/libkdeinit_kthesaurus.so
%{_libdir}/libkdchart.so.*
%{_libdir}/libkochart.so.*
%{_libdir}/libkofficecore.so.*
%{_libdir}/libkofficeui.so.*
%{_libdir}/libkotext.so.*
%{_libdir}/libkowmf.so.*
%{_libdir}/libkopainter.so.*
%{_libdir}/libkstore.so.*
%{_libdir}/libkwmailmerge_interface.so.*
%{_libdir}/libkwmf.so.*
%{_libdir}/libkdeinit_kformula.so
%{_libdir}/libkformulalib.so.*
%{_libdir}/libkopalette.so.*
%{_libdir}/libkoproperty.so.*
%{_libdir}/kde3/kfile_koffice.*
%{_libdir}/kde3/kfile_ooo.*
%{_libdir}/kde3/kfile_abiword.*
%{_libdir}/kde3/kfile_gnumeric.*
%{_libdir}/kde3/kodocinfopropspage.*
%{_libdir}/kde3/kofficescan.*
%{_libdir}/kde3/kofficethumbnail.*
%{_libdir}/kde3/koshell.*
%{_libdir}/kde3/kthesaurus.*
%{_libdir}/kde3/kwmailmerge_classic.*
%{_libdir}/kde3/kwmailmerge_kabc.*
%{_libdir}/kde3/kwmailmerge_qtsqldb_power.*
%{_libdir}/kde3/kwmailmerge_qtsqldb.*
%{_libdir}/kde3/libkounavailpart.*
%{_libdir}/kde3/libkprkword.*
%{_libdir}/kde3/libthesaurustool.*
%{_libdir}/kde3/clipartthumbnail.*
%{_datadir}/apps/koffice
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/koshell
%{_datadir}/apps/thesaurus
%{_datadir}/config.kcfg/koshell.kcfg
%{_datadir}/doc/HTML/en/koffice
%{_datadir}/doc/HTML/en/koshell
%{_datadir}/doc/HTML/en/thesaurus
%{_datadir}/icons/*
%{_datadir}/services/clipartthumbnail.desktop
%{_datadir}/services/kfile*.desktop
%{_datadir}/services/kwmailmerge*.desktop
%{_datadir}/services/kodocinfopropspage.desktop
%{_datadir}/services/kofficethumbnail.desktop
%{_datadir}/services/kounavail.desktop
%{_datadir}/services/kprkword.desktop
%{_datadir}/services/thesaurustool.desktop
%{_datadir}/servicetypes/kochart.desktop
%{_datadir}/servicetypes/kofficepart.desktop
%{_datadir}/servicetypes/koplugin.desktop
%{_datadir}/servicetypes/kwmailmerge.desktop
%{_datadir}/servicetypes/widgetfactory.desktop
%{_datadir}/applications/startcom-KThesaurus.desktop
%{_datadir}/applications/startcom-koshell.desktop
%{_datadir}/apps/kofficewidgets/pics/kounitdoublecombobox.png
%{_datadir}/apps/kofficewidgets/pics/kounitdoublelineedit.png
%{_datadir}/apps/kofficewidgets/pics/kounitdoublespinbox2.png
%{_datadir}/apps/kofficewidgets/pics/kounitdoublespincombobox.png
%{_datadir}/apps/kross
%exclude %{_datadir}/mimelnk/image/x-raw.desktop

%files devel
%{_includedir}/*
%{_datadir}/doc/HTML/en/koffice-apidocs
%{_libdir}/*.so

%files kword
%defattr(-,root,root,-)
%{_bindir}/kword
%{_libdir}/libkdeinit_kword.so
%{_libdir}/libkwordprivate.so.*
%{_libdir}/kde3/libkwordpart.*
%{_libdir}/kde3/kword.*
%{_datadir}/apps/kword
%{_datadir}/doc/HTML/en/kword
%{_datadir}/services/kword*.desktop
%{_datadir}/services/kwserial*.desktop
%{_datadir}/templates/TextDocument.desktop
%{_datadir}/templates/.source/TextDocument.kwt
%{_datadir}/applications/startcom-kword.desktop

%files kspread
%defattr(-,root,root,-)
%{_bindir}/kspread
%{_libdir}/libkdeinit_kspread.so
%{_libdir}/libkspreadcommon.so.*
%{_libdir}/kde3/kspread.*
%{_libdir}/kde3/libkspreadpart.*
%{_libdir}/kde3/kwmailmerge_kspread.*
%{_libdir}/kde3/libcsvexport.*
%{_libdir}/kde3/libcsvimport.*
%{_libdir}/kde3/libgnumericexport.*
%{_libdir}/kde3/libgnumericimport.*
%{_libdir}/kde3/libkspreadhtmlexport.*
%{_libdir}/kde3/libkspreadinsertcalendar.*
%{_libdir}/kde3/libopencalcexport.*
%{_libdir}/kde3/libopencalcimport.*
%{_libdir}/kde3/libqproimport.*
%{_datadir}/apps/kspread
%{_datadir}/doc/HTML/en/kspread
%{_datadir}/services/kspread*.desktop
%{_datadir}/templates/SpreadSheet.desktop
%{_datadir}/templates/.source/SpreadSheet.kst
%{_datadir}/applications/startcom-kspread.desktop

%files kpresenter
%defattr(-,root,root,-)
%{_bindir}/kpresenter
%{_bindir}/kprconverter.pl
%{_libdir}/libkdeinit_kpresenter.so
%{_libdir}/libkpresenterimageexport.so.*
%{_libdir}/libkpresenterprivate.so.*
%{_libdir}/kde3/libkpresenterpart.*
%{_libdir}/kde3/kformula.*
%{_libdir}/kde3/kpresenter.*
%{_libdir}/kde3/libkpresenterbmpexport.*
%{_libdir}/kde3/libkpresenterjpegexport.*
%{_libdir}/kde3/libkpresentermngexport.*
%{_libdir}/kde3/libkpresenterpngexport.*
%{_libdir}/kde3/libkpresentersvgexport.*
%{_libdir}/kde3/libkpresenterxbmexport.*
%{_libdir}/kde3/libkpresenterxpmexport.*
%{_datadir}/apps/kpresenter
%{_datadir}/doc/HTML/en/kpresenter
%{_datadir}/services/kpresenter*.desktop
%{_datadir}/templates/Presentation.desktop
%{_datadir}/templates/.source/Presentation.kpt
%{_datadir}/applications/startcom-kpresenter.desktop

%files karbon
%defattr(-,root,root,-)
%{_bindir}/karbon
%{_libdir}/libkdeinit_karbon.so
%{_libdir}/libkarboncommon.so.*
%{_libdir}/kde3/karbon_defaulttools.*
%{_libdir}/kde3/karbon_flattenpathplugin.*
%{_libdir}/kde3/karbon_imagetoolplugin.*
%{_libdir}/kde3/karbon_insertknotsplugin.*
%{_libdir}/kde3/karbon_roundcornersplugin.*
%{_libdir}/kde3/karbon_shadoweffectplugin.*
%{_libdir}/kde3/karbon.*
%{_libdir}/kde3/karbon_whirlpinchplugin.*
%{_libdir}/kde3/karbon_zoomtoolplugin.*
%{_libdir}/kde3/libkarbonpart.*
%{_libdir}/kde3/libkarbonaiimport.*
%{_libdir}/kde3/libkarbonepsexport.*
%{_libdir}/kde3/libkarbonkontourimport.*
%{_libdir}/kde3/libkarbonmsodimport.*
%{_libdir}/kde3/libkarbonpngexport.*
%{_libdir}/kde3/libkarbonsvgexport.*
%{_libdir}/kde3/libkarbonsvgimport.*
%{_libdir}/kde3/libkarbonxcfexport.*
%{_libdir}/kde3/libwmfexport.*
%{_libdir}/kde3/libwmfimport.*
%{_datadir}/apps/karbon
%{_datadir}/services/karbon*
%{_datadir}/templates/Illustration.desktop
%{_datadir}/templates/.source/Illustration.karbon
%{_datadir}/applications/startcom-karbon.desktop
%{_datadir}/doc/HTML/en/karbon/

%files krita
%defattr(-,root,root,-)
%{_bindir}/krita
%{_libdir}/libkdeinit_krita.so
%{_libdir}/libkrita_cmyk_u16.so.*
%{_libdir}/libkrita_gray_u16.so.*
%{_libdir}/libkrita_lms_f32.so.*
%{_libdir}/libkrita_rgb_f16half.so.*
%{_libdir}/libkrita_rgb_f32.so.*
%{_libdir}/libkrita_rgb_u16.so.*
%{_libdir}/libkritacolor.so.*
%{_libdir}/libkritagrayscale.so.*
%{_libdir}/libkritaimage.so.*
%{_libdir}/libkritargb.so.*
%{_libdir}/libkritascripting.so.*
%{_libdir}/libkritaui.so.*
%{_libdir}/libkritacommon.so.*
%{_libdir}/kde3/kritacimg.*
%{_libdir}/kde3/kritacolorrange.*
%{_libdir}/kde3/kritacolorsfilters.*
%{_libdir}/kde3/kritacolorspaceconversion.*
%{_libdir}/kde3/kritaconvolutionfilters.*
%{_libdir}/kde3/kritadefaultpaintops.*
%{_libdir}/kde3/kritadefaulttools.*
%{_libdir}/kde3/kritaembossfilter.*
%{_libdir}/kde3/kritaexample.*
%{_libdir}/kde3/kritagrayplugin.*
%{_libdir}/kde3/kritahistogram.*
%{_libdir}/kde3/kritaimagesize.*
%{_libdir}/kde3/kritaoilpaintfilter.*
%{_libdir}/kde3/kritaraindropsfilter.*
%{_libdir}/kde3/kritargbplugin.*
%{_libdir}/kde3/kritarotateimage.*
%{_libdir}/kde3/kritascreenshot.*
%{_libdir}/kde3/kritaselectiontools.*
%{_libdir}/kde3/kritashearimage.*
%{_libdir}/kde3/krita.*
%{_libdir}/kde3/kritatoolcrop.*
%{_libdir}/kde3/kritatoolfilter.*
%{_libdir}/kde3/kritatoolpolygon.*
%{_libdir}/kde3/kritatoolpolyline.*
%{_libdir}/kde3/kritatoolstar.*
%{_libdir}/kde3/kritatooltransform.*
%{_libdir}/kde3/libkritapart.*
%{_libdir}/kde3/libkritamagickexport.*
%{_libdir}/kde3/libkritamagickimport.*
%{_libdir}/kde3/krita_cmyk_u16_plugin.*
%{_libdir}/kde3/krita_gray_u16_plugin.*
%{_libdir}/kde3/krita_lms_f32_plugin.*
%{_libdir}/kde3/krita_rgb_f16half_plugin.*
%{_libdir}/kde3/krita_rgb_f32_plugin.*
%{_libdir}/kde3/krita_rgb_u16_plugin.*
%{_libdir}/kde3/kritabumpmap.*
%{_libdir}/kde3/kritacmykplugin.*
%{_libdir}/kde3/kritacubismfilter.*
%{_libdir}/kde3/kritadropshadow.*
%{_libdir}/kde3/kritafiltersgallery.*
%{_libdir}/kde3/kritahistogramdocker.*
%{_libdir}/kde3/kritaimageenhancement.*
%{_libdir}/kde3/kritapixelizefilter.*
%{_libdir}/kde3/kritaroundcornersfilter.*
%{_libdir}/kde3/kritascripting.*
%{_libdir}/kde3/kritaseparatechannels.*
%{_libdir}/kde3/kritasmalltilesfilter.*
%{_libdir}/kde3/kritasmearybrush.*
%{_libdir}/kde3/kritasobelfilter.*
%{_libdir}/kde3/kritatoolselectsimilar.*
%{_libdir}/kde3/kritawetplugin.*
%{_libdir}/kde3/libkrita_openexr_export.*
%{_libdir}/kde3/libkrita_openexr_import.*
%{_libdir}/kde3/libkrita_raw_import.*
%{_libdir}/kde3/libkritajpegexport.*
%{_libdir}/kde3/libkritajpegimport.*
%{_libdir}/kde3/libkritapngexport.*
%{_libdir}/kde3/libkritapngimport.*
%{_libdir}/kde3/libkritatiffexport.*
%{_libdir}/kde3/libkritatiffimport.*
%{_datadir}/apps/krita
%{_datadir}/services/krita*.desktop
%{_datadir}/servicetypes/krita*.desktop
%{_datadir}/applications/startcom-krita*.desktop
%{_datadir}/apps/kritaplugins
%{_datadir}/doc/HTML/en/krita
%{_datadir}/servicetypes/karbon_module.desktop

%files kugar
%defattr(-,root,root,-)
%{_bindir}/kugar
%{_bindir}/kudesigner
%{_libdir}/libkdeinit_kugar.so
%{_libdir}/libkdeinit_kudesigner.so
%{_libdir}/libkugarlib.so.*
%{_libdir}/libkudesignercore.so
%{_libdir}/kde3/kudesigner.*
%{_libdir}/kde3/kugar.*
%{_libdir}/kde3/libkudesignerpart.*
%{_libdir}/kde3/libkugarpart.*
%{_datadir}/apps/kudesigner
%{_datadir}/apps/kugar
%{_datadir}/doc/HTML/en/kugar
%{_datadir}/services/kugar*.desktop
%{_datadir}/applications/startcom-kugar.desktop
%{_datadir}/applications/startcom-kudesigner.desktop

%files kexi
%defattr(-,root,root,-)
%{_bindir}/kexi
%{_bindir}/ksqlite*
%{_bindir}/krossrunner
%{_libdir}/libkdeinit_kexi.so
%{_libdir}/libkexicore.so.*
%{_libdir}/libkexidatatable.so.*
%{_libdir}/libkexidbparser.so.*
%{_libdir}/libkexidb.so.*
%{_libdir}/libkexiextendedwidgets.so.*
%{_libdir}/libkexiformutils.so.*
%{_libdir}/libkexiguiutils.so.*
%{_libdir}/libkeximain.so.*
%{_libdir}/libkeximigrate.so.*
%{_libdir}/libkexirelationsview.so.*
%{_libdir}/libkexisql2.so.*
%{_libdir}/libkexisql3.so.*
%{_libdir}/libkformdesigner.so.*
%{_libdir}/libkexiutils.so.*
%{_libdir}/libkexireportutils.so.*
%{_libdir}/kde3/kexihandler_report.*
%{_libdir}/kde3/kexireportwidgets.*
%{_libdir}/kde3/kformdesigner_containers.*
%{_libdir}/kde3/kformdesigner_kexidbwidgets.*
%{_libdir}/kde3/kformdesigner_stdwidgets.*
%{_libdir}/kde3/kexidb_mysqldriver.*
%{_libdir}/kde3/kexidb_sqlite2driver.*
%{_libdir}/kde3/kexidb_sqlite3driver.*
%{_libdir}/kde3/kexihandler_form.*
%{_libdir}/kde3/kexihandler_migration.*
%{_libdir}/kde3/kexihandler_query.*
%{_libdir}/kde3/kexihandler_relation.*
%{_libdir}/kde3/kexihandler_script.*
%{_libdir}/kde3/kexihandler_table.*
%{_libdir}/kde3/keximigrate_mysql.*
%{_libdir}/kde3/kexi.*
%{_libdir}/kde3/kexidb_pqxxsqldriver.*
%{_libdir}/kde3/keximigrate_pqxx.*
%{_libdir}/kde3/kexihandler_csv_importexport.*
%{_libdir}/kde3/krosskexiapp.*
%{_libdir}/kde3/krosskexidb.*
%{_libdir}/kde3/krosskritacore.*
%{_libdir}/kde3/krosspython.*
%{_libdir}/kde3/krossruby.*
%{_libdir}/libkrossapi.so.*
%{_libdir}/libkrossmain.so.*
%{_datadir}/config/kexirc
%{_datadir}/config/magic/kexi.magic
%{_datadir}/mimelnk/application/*
%{_datadir}/servicetypes/kexi*.desktop
%{_datadir}/services/kexi
%{_datadir}/services/kexidb*
%{_datadir}/services/keximigrate_mysql.desktop
%{_datadir}/services/keximigrate_pqxx.desktop
%{_datadir}/apps/kexi
%{_datadir}/services/kformdesigner/*
%{_datadir}/doc/HTML/en/kexi
%{_datadir}/applications/startcom-kexi.desktop


%files kchart
%defattr(-,root,root,-)
%{_bindir}/kchart
%{_libdir}/libkchartcommon.so.*
%{_libdir}/libkdeinit_kchart.so
%{_libdir}/libkchartimageexport.so.*
%{_libdir}/kde3/kchart.*
%{_libdir}/kde3/libkchartpart.*
%{_libdir}/kde3/libkchartpngexport.*
%{_libdir}/kde3/libkchartsvgexport.*
%{_libdir}/kde3/libkchartbmpexport.*
%{_libdir}/kde3/libkchartjpegexport.*
%{_libdir}/kde3/libkchartmngexport.*
%{_libdir}/kde3/libkchartxbmexport.*
%{_libdir}/kde3/libkchartxpmexport.*
%{_datadir}/apps/kchart
%{_datadir}/services/kchart*.desktop
%{_datadir}/doc/HTML/en/kchart
%{_datadir}/applications/startcom-kchart.desktop

%files kformula
%defattr(-,root,root,-)
%{_bindir}/kformula
%{_libdir}/kde3/libkformulapart.*
%{_libdir}/kde3/kformula.*
%{_datadir}/apps/kformula
%{_datadir}/doc/HTML/en/kformula
%{_datadir}/services/kformula*.desktop
%{_datadir}/applications/startcom-kformula.desktop

%files kivio
%defattr(-,root,root,-)
%{_bindir}/kivio
%{_libdir}/libkdeinit_kivio.so
%{_libdir}/libkiviocommon.so.*
%{_libdir}/kde3/kivio.*
%{_libdir}/kde3/libkiviopart.*
%{_libdir}/kde3/straight_connector.*
%{_libdir}/kde3/libkivioconnectortool.*
%{_libdir}/kde3/libkivioimageexport.*
%{_libdir}/kde3/libkivioselecttool.*
%{_libdir}/kde3/libkiviotargettool.*
%{_libdir}/kde3/libkiviotexttool.*
%{_libdir}/kde3/libkiviozoomtool.*
%{_datadir}/apps/kivio
%{_datadir}/config.kcfg/kivio.kcfg
%{_datadir}/doc/HTML/en/kivio
%{_datadir}/services/kivio*.desktop
%{_datadir}/applications/startcom-kivio.desktop

%files filters
%defattr(-,root,root,-)
%{_libdir}/libkwordexportfilters.so.*
%{_libdir}/kde3/libabiwordexport.*
%{_libdir}/kde3/libabiwordimport.*
%{_libdir}/kde3/libamiproexport.*
%{_libdir}/kde3/libamiproimport.*
%{_libdir}/kde3/libapplixspreadimport.*
%{_libdir}/kde3/libapplixwordimport.*
%{_libdir}/kde3/libasciiexport.*
%{_libdir}/kde3/libasciiimport.*
%{_libdir}/kde3/libdbaseimport.*
%{_libdir}/kde3/libdocbookexport.*
%{_libdir}/kde3/libexcelimport.*
%{_libdir}/kde3/libgenerickofilter.*
%{_libdir}/kde3/libhtmlexport.*
%{_libdir}/kde3/libhtmlimport.*
%{_libdir}/kde3/libkarbonepsimport.*
%{_libdir}/kde3/libkfolatexexport.*
%{_libdir}/kde3/libkfomathmlexport.*
%{_libdir}/kde3/libkfomathmlimport.*
%{_libdir}/kde3/libkfopngexport.*
%{_libdir}/kde3/libkspreadlatexexport.*
%{_libdir}/kde3/libkugarnopimport.*
%{_libdir}/kde3/libkwordkword1dot3import.*
%{_libdir}/kde3/libkwordlatexexport.*
%{_libdir}/kde3/libmswriteexport.*
%{_libdir}/kde3/libmswriteimport.*
%{_libdir}/kde3/libooimpressexport.*
%{_libdir}/kde3/libooimpressimport.*
%{_libdir}/kde3/liboowriterexport.*
%{_libdir}/kde3/liboowriterimport.*
%{_libdir}/kde3/libpalmdocexport.*
%{_libdir}/kde3/libpalmdocimport.*
%{_libdir}/kde3/libpdfimport.*
%{_libdir}/kde3/librtfexport.*
%{_libdir}/kde3/librtfimport.*
%{_libdir}/kde3/libwmlexport.*
%{_libdir}/kde3/libwmlimport.*
%{_libdir}/kde3/libwpexport.*
%{_libdir}/kde3/libwpimport.*
%{_libdir}/kde3/libmswordimport.*
%{_libdir}/kde3/libxsltimport.*
%{_libdir}/kde3/libxsltexport.*
%{_libdir}/kde3/libhancomwordimport.*
%{_libdir}/kde3/libkfosvgexport.*
%{_libdir}/kde3/liboodrawimport.*
%{_libdir}/kde3/libpowerpointimport.*
%{_datadir}/apps/xsltfilter
%{_datadir}/services/generic_filter.desktop
%{_datadir}/services/xslt*.desktop
%{_datadir}/servicetypes/kofilter*.desktop

%files kplato
%defattr(-,root,root,-)
%{_bindir}/kplato
%{_libdir}/libkdeinit_kplato.so
%{_libdir}/kde3/kplato.*
%{_libdir}/kde3/libkplatopart.*
%{_datadir}/apps/kplato
%{_datadir}/doc/HTML/en/kplato
%{_datadir}/services/kplatopart.desktop
%{_datadir}/applications/startcom-kplato.desktop

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Mar 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.95-1
- version upgrade

* Sun Feb 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-4
- kivio requires kdegraphics (#182289)

* Wed Feb 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-3
- exclude mimelnk/image/x-raw.desktop (#180335)

* Mon Feb 06 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-2
- enable ruby again (bug #179835)

* Wed Feb 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-1
- version upgrade
- better split libdir/*.so -> -devel, libdir/*.so.* -> packages
  libdir/*.la -> trash; libdir/.* -> packages

* Thu Dec 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-3
- fix CAN-2005-3193
- gcc 4.1.0:
    - add krita compile fixes
    - add kspread compile fixes
    - add kexi compile fixes

* Thu Nov 10 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-2
- remove xorg-x11-devel BR
- rebuild

* Sun Oct 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-1
- version upgrade

* Wed Sep 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-6
- add patch for qt-3.3.5 problem
- get devel working

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-5
- try to fix devel build

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-4
- fix libpqxx detection on x86_64

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-3
- try to fix x86_64 build

* Sun Aug 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-2
- add dist tag

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-1
- upgrade to 1.4.1

* Sat Jul 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0b-1
- upgrade to 1.4.0b
- virtual package koffice-suite

* Thu Jul 07 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-3
- add delete option to desktop-file-install

* Mon Jul 04 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-2
- Strip language stuff to seperate specs
- Clean up some stuff from BuildRequires

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-1
- Initial Release
